package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 使用指南对象 use_guide
 * 
 * @author ruoyi
 * @date 2022-07-14
 */
public class UseGuide extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String useTitle;

    /** 使用指南简介 */
    @Excel(name = "使用指南简介")
    private String useProfile;

    /** 使用指南内容 */
    private String useContent;

    /** 使用指南版本 */
    @Excel(name = "使用指南版本")
    private String useVersion;

    /** 状态（0正常 1关闭） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=关闭")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUseTitle(String useTitle) 
    {
        this.useTitle = useTitle;
    }

    public String getUseTitle() 
    {
        return useTitle;
    }
    public void setUseProfile(String useProfile) 
    {
        this.useProfile = useProfile;
    }

    public String getUseProfile() 
    {
        return useProfile;
    }
    public void setUseContent(String useContent) 
    {
        this.useContent = useContent;
    }

    public String getUseContent() 
    {
        return useContent;
    }
    public void setUseVersion(String useVersion) 
    {
        this.useVersion = useVersion;
    }

    public String getUseVersion() 
    {
        return useVersion;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("useTitle", getUseTitle())
            .append("useProfile", getUseProfile())
            .append("useContent", getUseContent())
            .append("useVersion", getUseVersion())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
